(define (domain conditional)

(:requirements :typing :adl)

(:types 
	location
)


(:predicates
  (at ?l - location)
  (connected ?l1 - location ?l2 - location)
  (gold ?l - location)
  (trap ?l - location)
  (dead)
  (has-gold)
)

(:action step
  :parameters 
    (?from - location ?to - location)
  :precondition
    (and (at ?from) (connected ?from ?to))
    
  :effect 
    (and
	(at ?to)
	(not (at ?from))
	(when (gold ?to) (has-gold))
	(when (trap ?to) (dead))
	)
  
)




)

